Page MenuHomePhabricator

Calculate and report readers health metrics for April 2019
Closed, ResolvedPublic

Description

Event Timeline

kzimmerman triaged this task as Normal priority.May 15 2019, 5:11 AM
kzimmerman created this task.
MNeisler moved this task from Triage to Doing on the Product-Analytics board.May 19 2019, 1:31 PM

Hi @kzimmerman. I've added the readers April 2018 metrics and notes to the board staging deck. See codebase for analysis. A few notes:

  • I included the year over year changes in interactions as we now have that data; however, the page preview feature was not fully rolled out until April 17, 2018. Would it be better to hold off on reporting until next month? Let me know and I can remove those numbers.
  • I'm working on moving this to SWAP notebooks but was having technical issues with getting the R kernel to work. Hoping to resolve soon but for the sake of time my analysis and output are currently documented in markdown reports available in the git repo.
  • I'll continue to work on streamlining and automating this process a little more (as well as documenting) for future months.

Let me know if you have any questions.

MNeisler updated the task description. (Show Details)May 28 2019, 10:05 PM

@MNeisler Thank you!

Re: YoY for page previews - that's a great question. I was looking at the numbers and interactions are up 40%, I think (looking at the raw data), which makes sense given that we're comping a partial month.

Can you keep it in the deck for now, but please add a comment about the comparison being against a partial month of deployment? I'll check with Toby & Jon about how we should handle these numbers for the Board Meeting.

kzimmerman closed this task as Resolved.May 30 2019, 8:49 PM

Looking good, thanks @MNeisler! I'll close this as resolved, and if there are follow-up questions/requests we can open a separate ticket